Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKXMLParserState Class Reference

`#include <IWORKXMLParserState.h>`

Inheritance diagram for libetonyek::IWORKXMLParserState:

## Public Member Functions
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const
IWORKStylePtr_t | getStyleByName (const char *const name, const IWORKStyleMap_t &mainMap, bool mustExist=true) const

## Public Attributes
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText

## Private Member Functions
| IWORKXMLParserState (const IWORKXMLParserState &)
IWORKXMLParserState & | operator= (const IWORKXMLParserState &)

## Private Attributes
IWORKParser & | m_parser
IWORKCollector & | m_collector
IWORKDictionary & | m_dict

## Constructor & Destructor Documentation

## ◆ IWORKXMLParserState() [1/2]

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | const IWORKXMLParserState & |  | ) |
| private

## ◆ IWORKXMLParserState() [2/2]

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | IWORKParser & | parser,
|  | IWORKCollector & | collector,
|  | IWORKDictionary & | dict
| ) |  |

## Member Function Documentation

## ◆ getCollector()

IWORKCollector & libetonyek::IWORKXMLParserState::getCollector | ( |  | ) | const

## ◆ getDictionary()

IWORKDictionary & libetonyek::IWORKXMLParserState::getDictionary | ( |  | ) |

Referenced by libetonyek::IWORKDiscardContext::element().

## ◆ getParser()

IWORKParser & libetonyek::IWORKXMLParserState::getParser | ( |  | ) |

## ◆ getStyleByName()

IWORKStylePtr_t libetonyek::IWORKXMLParserState::getStyleByName | ( | const char *const | name,
|  | const IWORKStyleMap_t & | mainMap,
|  | bool | mustExist = `true`
| ) |  | const

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::IWORKXMLParserState::getTokenizer | ( |  | ) | const

Referenced by libetonyek::KEY1DivStyle::readAttribute().

## ◆ operator=()

IWORKXMLParserState& libetonyek::IWORKXMLParserState::operator= | ( | const IWORKXMLParserState & |  | ) |
| private

## Member Data Documentation

## ◆ m_collector

IWORKCollector& libetonyek::IWORKXMLParserState::m_collector
| private

Referenced by getCollector().

## ◆ m_currentTable

std::shared_ptr<IWORKTable> libetonyek::IWORKXMLParserState::m_currentTable

Referenced by libetonyek::KEY1TableElement::endOfElement(), and libetonyek::KEY1TableElement::startOfElement().

## ◆ m_currentText

std::shared_ptr<IWORKText> libetonyek::IWORKXMLParserState::m_currentText

Referenced by libetonyek::KEY1ContentElement::CDATA(), libetonyek::KEY1ParserState::closeBullet(), libetonyek::KEY2ParserState::closeHeadline(), libetonyek::PAG1TextStorageElement::element(), libetonyek::PAG1TextStorageElement::endOfElement(), libetonyek::PAG1AnnotationContext::endOfElement(), libetonyek::KEY1DivElement::endOfElement(), libetonyek::KEY1SpanElement::ensureClosed(), libetonyek::KEY1DivElement::ensureOpened(), libetonyek::KEY1SpanElement::ensureOpened(), libetonyek::KEY1ParserState::openBullet(), libetonyek::KEY2ParserState::openHeadline(), libetonyek::PAG1AnnotationContext::startOfElement(), libetonyek::KEY1ParserState::storeCurrentPlaceholder(), libetonyek::KEY1ContentElement::text(), libetonyek::KEY1DivElement::text(), and libetonyek::KEY1SpanElement::text().

## ◆ m_dict

IWORKDictionary& libetonyek::IWORKXMLParserState::m_dict
| private

Referenced by getDictionary().

## ◆ m_enableCollector

bool libetonyek::IWORKXMLParserState::m_enableCollector

Referenced by libetonyek::KEY1ParserState::closeBullet(), libetonyek::IWORKDiscardContext::endOfElement(), libetonyek::KEY1ParserState::openBullet(), libetonyek::IWORKDiscardContext::startOfElement(), and libetonyek::KEY1ParserState::storeCurrentPlaceholder().

## ◆ m_langManager

IWORKLanguageManager libetonyek::IWORKXMLParserState::m_langManager

Referenced by libetonyek::KEY1ParserState::openBullet(), and libetonyek::KEY2ParserState::openHeadline().

## ◆ m_parser

IWORKParser& libetonyek::IWORKXMLParserState::m_parser
| private

Referenced by getParser(), and getTokenizer().

## ◆ m_stylesheet

IWORKStylesheetPtr_t libetonyek::IWORKXMLParserState::m_stylesheet

Referenced by getStyleByName().

## ◆ m_tableData

IWORKTableDataPtr_t libetonyek::IWORKXMLParserState::m_tableData

## ◆ m_tableNameMap

IWORKTableNameMapPtr_t libetonyek::IWORKXMLParserState::m_tableNameMap

The documentation for this class was generated from the following files:

- IWORKXMLParserState.h
- IWORKXMLParserState.cpp